//! State information for a connected `Client`.

/// Play state for a conected `Client`.
#[derive(Clone, Debug, PartialEq)]
pub enum State {
	/// Logging in
	Login(Login),

	/// Performing an action
	Action,
}

/// Login state
#[derive(Clone, Debug, PartialEq)]
pub enum Login {
	/// Username
	Username,

	/// Unknown user
	CreateUser(String),

	/// New user password
	CreatePassword(String),

	/// New user password again
	CreatePassword2((String, String)),

	/// Password for existing user
	Password(String),
}
